from samewords.document import *


def test_document_content():
    with open('./samewords/test/assets/da-49-l1q1.tex', 'rb') as f:
        content = f.read().decode('utf-8')
    assert doc_content('./samewords/test/assets/da-49-l1q1.tex') == content


class TestParagraphHandling:
    document = doc_content('./samewords/test/assets/da-49-l1q1.tex')
    numbered = doc_content('./samewords/test/assets/da-49-l1q1-numbered.tex')
    numbered_autopar = doc_content('./samewords/test/assets/da-49-l1q1-numbered-autopar.tex')

    def test_chunk_document(self):
        chunked_dict = {
            'before': "%this tex file was auto produced from TEI by lombardpress-print on 2017-05-22T09:50:05.379+02:00 using the file:/Users/michael/Documents/coding/SCTA/xslt/lbp-print-xslt/1.0.0/modules/critical/preamble.xsl\n\\documentclass[a4paper, 12pt]{book}\n\n% imakeidx must be loaded beore eledmac\n\\usepackage{imakeidx}\n\\usepackage{libertine}\n\\usepackage{csquotes}\n\n\\usepackage{geometry}\n\\geometry{left=4cm, right=4cm, top=3cm, bottom=3cm}\n\n\\usepackage{fancyhdr}\n% fancyheading settings\n\\pagestyle{fancy}\n\n% latin language\n\\usepackage{polyglossia}\n\\setmainlanguage{english}\n\\setotherlanguage{latin}\n\n% a critical mark\n\\usepackage{amssymb}\n\n% git package\n\\usepackage{gitinfo2}\n\n\n% title settings\n\\usepackage{titlesec}\n\\titleformat{\\chapter}{\\normalfont\\large\\scshape}{\\thechapter}{50pt}{}\n\\titleformat{\\section}{\\normalfont\\scshape}{\\thesection}{1em}{}\n\\titleformat{\\subsection}[block]{\\centering\\normalfont\\itshape}{\\thesubsection}{}{}\n\\titlespacing*{\\subsection}{20pt}{3.25ex plus 1ex minus.2 ex}{1.5ex plus.2ex}[20pt]\n\n% reledmac settings\n\\usepackage[final]{reledmac}\n\n\\Xinplaceoflemmaseparator{0pt} % Don't add space after nolemma notes.\n\\Xlemmadisablefontselection[A] % In fontium lemmata, don't copy font formatting.\n\\Xarrangement{paragraph}\n\\linenummargin{outer}\n\\sidenotemargin{inner}\n\\lineation{page}\n\n\\Xendbeforepagenumber{p.~}\n\\Xendafterpagenumber{,}\n\\Xendlineprefixsingle{l.~}\n\\Xendlineprefixmore{ll.~}\n\n\\Xnumberonlyfirstinline[]\n\\Xnumberonlyfirstintwolines[]\n\\Xbeforenotes{\\baselineskip}\n\n% This should prevent overfull vboxes\n\\AtBeginDocument{\\Xmaxhnotes{0.5\\textheight}}\n\\AtBeginDocument{\\maxhnotesX{0.5\\textheight}}\n\n\\Xprenotes{\\baselineskip}\n\n\\let\\Afootnoterule=\\relax\n\\let\\Bfootnoterule=\\relax\n\n% other settings\n\\linespread{1.1}\n\n\n\n% custom macros\n\\newcommand{\\name}[1]{#1}\n\\newcommand{\\lemmaQuote}[1]{\\textsc{#1}}\n\\newcommand{\\worktitle}[1]{\\textit{#1}}\n\\newcommand{\\supplied}[1]{⟨#1⟩}\n\\newcommand{\\suppliedInVacuo}[1]{$\\ulcorner$#1$\\urcorner$}\n\\newcommand{\\secluded}[1]{{[}#1{]}}\n\\newcommand{\\metatext}[1]{<#1>}\n\\newcommand{\\hand}[1]{\\textsuperscript{#1}}\n\\newcommand{\\del}[1]{[#1 del. ms]}\n\\newcommand{\\no}[1]{\\emph{#1}\\quad}\n\\newcommand{\\corruption}[1]{\\textdagger#1\\textdagger}\n\n\\begin{document}\n\\fancyhead{}\n\\fancyfoot[C]{\\thepage}\n\\fancyhead[R]{Quaestiones in libros De anima}\n\\fancyhead[L]{Johannes Dinsdale}\n\n\\fancyhead[C]{DRAFT}\n\n\n\\chapter*{Johannes Dinsdale: Quaestiones in libros De anima}\n\\addcontentsline{toc}{chapter}{Quaestiones in libros De anima}\n\n\n\\begin{latin}\n\\beginnumbering\n",
            'inside': '\n\\pstart[\\subsection*{\\metatext{Quaestio 1: Utrum de anima possit nobis acquiri scientia}}]\n\\edlabelS{da-49-l1q1-274hkz}%\n\\ledsidenote{B 148va}\\ledsidenote{O 164rb}%\n\\edtext{Item}{\\lemma{Item}\\Bfootnote{\\emph{om.} B}} quaeratur\\edtext{}{\\lemma{}\\Bfootnote[nosep]{nunc \\emph{post} quaeratur B}} primo utrum de anima possit nobis acquiri scientia.\n\\edlabelE{da-49-l1q1-274hkz}\n\\pend\n\n\\medbreak\n\n\\pstart[\\medbreak{}]\n\\edlabelS{da-49-l1q1-j01jdw}%\n\\no{1}\nVidetur quod non.\n\\edlabelE{da-49-l1q1-j01jdw}\n\\pend\n\n\\pstart\n\\edlabelS{da-49-l1q1-ysmgk1}%\n\\no{1.1}\nIllud de quo est scientia est intelligibile, quia cum scientia sit habitus intellectus, de quo est scientia oportet esse intelligibile; sed anima non est intelligibile, quia omnis nostra cognitio ortum habet a sensu, \\edtext{unde ipsum intelligere non est}{\\lemma{unde \\dots{} est}\\applabel{da-49-l1q1-app-pa6tn6}\\Bfootnote{quia nihil intelligimus B}} sine phantasmate, sed anima sub sensu non cadit, nec phantasma facit; ergo et cetera.\n\\edlabelE{da-49-l1q1-ysmgk1}\n\\pend\n\n\\pstart\n\\edlabelS{da-49-l1q1-mjzkyp}%\n\\no{1.2}\nPraeterea, unum et idem non potest esse simul movens et motum, quia\\edtext{}{\\lemma{}\\Bfootnote[nosep]{si \\emph{post} quia B}} sic \\edtext{idem esset}{\\lemma{idem esset}\\Bfootnote{\\emph{inv.} B}} actu et potentia respectu eiusdem; sed cognitum est movens respectu cognocentis; ergo unum et idem non potest esse \\edtext{cognoscens}{\\lemma{cognoscens}\\applabel{da-49-l1q1-app-18nkzl}\\Bfootnote{movens B}} et \\edtext{cognitum}{\\lemma{cognitum}\\applabel{da-49-l1q1-app-87ko58}\\Bfootnote{motum B}},\\edtext{}{\\lemma{}\\Bfootnote[nosep]{sed \\emph{post} motum B}} hoc tamen contingeret si de anima \\edtext{esset scientia}{\\lemma{esset scientia}\\applabel{da-49-l1q1-app-hptxkl}\\Bfootnote{cognitionem haberemus B}}.\n\\edlabelE{da-49-l1q1-mjzkyp}\n\\pend\n\n\\pstart\n\\edlabelS{da-49-l1q1-mjgjs9}%\n\\no{1.3}\nPraeterea, \\edtext{sicut oculus \\edtext{nycticoracis}{\\lemma{nycticoracis}\\applabel{da-49-l1q1-app-6ef4va}\\Bfootnote{vespertilionis O}} \\edtext{\\suppliedInVacuo{se habet}}{\\lemma{se habet}\\applabel{da-49-l1q1-app-qzz9yj}\\Bfootnote{\\emph{spat. vac. 8 litt.} B; \\emph{om.} O}} ad lumen solis, sic intellectus noster ad ea quae sunt manifestissima in natura}{\\lemma{}\\Afootnote[nosep]{Cf. Arist. \\worktitle{Metaph.}\\index[works]{Metaphysics} II.1 993b9--11 (νυκτερίς).}}, de quorum numero est anima, \\edtext{saltim}{\\lemma{saltim}\\Bfootnote{\\emph{om.} B}} humana; sed oculus nycticoracis non potest apprehendere lumen solis; ergo et cetera.\n\\edlabelE{da-49-l1q1-mjgjs9}\n\\pend\n\n\\pstart\n\\edlabelS{da-49-l1q1-xdpfxs}%\n\\no{1.4}\nPraeterea, nostrum intelligere est cum continuo et tempore; sed anima, cum sit indivisibilis et perpetua, nec est continua nec temporalis; ergo et cetera.\n\\edlabelE{da-49-l1q1-xdpfxs}\n\\pend\n\n\\medbreak\n\n\\pstart[\\medbreak{}]\n\\edlabelS{da-49-l1q1-o9whrl}%\n\\no{2}\nOppositum patet per determinationem Philosophi\\index[persons]{Aristotle}.\n\\edlabelE{da-49-l1q1-o9whrl}\n\\pend\n\n\\medbreak\n\n\\pstart[\\medbreak{}]\n\\edlabelS{da-49-l1q1-ywem12}%\n\\no{3.1}\nDicendum quod cum scientia sit habitus acquisitus per demonstrationem, et ad demonstrationem tria requirantur ( \\edtext{scilicet}{\\lemma{scilicet}\\Bfootnote{\\emph{om.} B}} subiectum, passio, et principium per quod ostenditur passio de subiecto), ubi est invenire ista tria, ibi \\edtext{contingit ponere scientiam}{\\lemma{contingit ponere scientiam}\\applabel{da-49-l1q1-app-eje7pm}\\Bfootnote{est scientiam ponere B}}. Nunc autem anima quoddam subiectum est cuius sunt \\edtext{multae}{\\lemma{multae}\\Bfootnote{\\emph{om.} B}} proprietates et passiones, ut patebit inferius. Sunt etiam principia per quae istae passiones probari possunt de anima. Si enim accipiatur quod quid est animae pro medio, \\edtext{per ipsum}{\\lemma{per ipsum}\\applabel{da-49-l1q1-app-k2lfc9}\\Bfootnote{\\emph{om.} B}} concludi potest propria passio eius de anima, et ita de anima potest \\edtext{aliquid sciri sive}{\\lemma{aliquid sciri sive}\\Bfootnote{\\emph{om.} B}} esse aliqualis scientia.\n\\edlabelE{da-49-l1q1-ywem12}\n\\pend\n\n\\pstart\n\\edlabelS{da-49-l1q1-t57fj3}%\n\\no{3.2}\nPraeterea, accidentia non sunt per se entia, sed in alio. Qui ergo cognoscit accidentia, manuduci potest in cognitionem eius cuius sunt. Nunc autem multa accidentia ipsius animae nobis sunt manifesta: Operationes \\edtext{enim}{\\lemma{enim}\\Bfootnote{\\emph{om.} B}} artificiales nobis notae sunt, quae \\edtext{tamen}{\\lemma{tamen}\\Bfootnote{\\emph{om.} B}} non fiunt absque intelligere, et intelligere procedit ab aliqua potentia, et potentia \\edtext{fluit}{\\lemma{fluit}\\applabel{da-49-l1q1-app-mqmbne}\\Bfootnote{\\emph{om.} B}} ab essentia; \\edtext{et sic est de aliis}{\\lemma{et \\dots{} aliis}\\Bfootnote{eodem modo est de B}} operationibus quae procedunt ab irascibili. Unde per multa \\edtext{quae nobis nota sunt}{\\lemma{quae nobis nota sunt}\\applabel{da-49-l1q1-app-b1mson}\\Bfootnote{nobis B}} devenire \\edtext{possumus}{\\lemma{possumus}\\Bfootnote{possunt B}} in cognitionem animae. Quia tamen scire est \\edtext{per causam}{\\lemma{per causam}\\Bfootnote{causam rei B}} cognoscere , et talis \\edtext{cognitio de anima}{\\lemma{cognitio de anima}\\applabel{da-49-l1q1-app-gfllzy}\\Bfootnote{\\emph{om.} B}} procedit per effectus \\edtext{et}{\\lemma{et}\\Bfootnote{\\emph{om.} B}} non per causam, ideo Philosophus\\index[persons]{Aristotle} talem cognitionem tradens de anima \\edtext{istam cognitionem nominat}{\\lemma{istam cognitionem nominat}\\Bfootnote{ipsam vocat B}} \\edtext{\\enquote{historiam}}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{DA}\\index[works]{De anima} I.1 402a4.}}. Extensive tamen dici potest scientia.\n\\edlabelE{da-49-l1q1-t57fj3}\n\\pend\n\n\\medbreak\n\n\\pstart[\\medbreak{}]\n\\edlabelS{da-49-l1q1-1mle08}%\n\\no{Ad 1.1}\nAd primum argumentum dicendum \\edtext{quod minor est falsa}{\\lemma{quod minor est falsa}\\Bfootnote{per interemptionem minoris B}}. \\edtext{Et}{\\lemma{Et}\\Bfootnote{\\emph{om.} B}} ad probationem dicendum quod \\edtext{aliquid}{\\lemma{aliquid}\\applabel{da-49-l1q1-app-yl5yi8}\\Bfootnote{aliquod B}} cadit |\\ledsidenote{B 148vb} in sensu dupliciter: aut per positionem aut \\edtext{per}{\\lemma{per}\\Bfootnote{\\emph{om.} O}} privationem. Per privationem sicut tenebra et indivisibilia, ut punctum et unitas. Per positionem contingit dupliciter, aut per speciem sui, aut per speciem alterius; per speciem sui \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{ut B}} color videtur, \\edtext{per speciem alterius \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{ut B}} \\edtext{videtur}{\\lemma{videtur}\\applabel{da-49-l1q1-app-tjx5f0}\\Bfootnote{\\emph{om.} B}} Diari\\index[persons]{Diares} filius}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{DA}\\index[works]{De anima} II.6 418a20--22.}}. Unde, licet anima non cadat sub sensu per \\edtext{se}{\\lemma{se}\\applabel{da-49-l1q1-app-o6vevk}\\Bfootnote{rei B}}, \\edtext{cadit}{\\lemma{cadit}\\applabel{da-49-l1q1-app-r2io0f}\\Bfootnote{cadat B O}} tamen sub sensu per alterum, ut per sui effectus, \\edtext{et}{\\lemma{et}\\Bfootnote{\\emph{om.} B}} eodem modo, licet per se phantasma non faciat, \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{aliquid O B}} tamen phantasma facit, quod in eius cognitionem ducere potest.\n\\edlabelE{da-49-l1q1-1mle08}\n\\pend\n\n\\pstart\n\\edlabelS{da-49-l1q1-i9rohp}%\n\\no{Ad 1.2}\nAd \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{secundum B}} dicendum quod dupliciter dicitur motus: uno modo est actus imperfecti, \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{et sic O}} definitur \\edtext{a Philosopho\\index[persons]{Aristotle} in}{\\lemma{a Philosopho in}\\Bfootnote{\\emph{om.} B}} \\edtext{tertio \\worktitle{Physicorum}\\index[works]{Physics};}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{Phys.}\\index[works]{Physics} III.2 201b31--33.}} alio modo est actus perfecti, \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{sic O}} intelligere et \\edtext{cognoscere}{\\lemma{cognoscere}\\applabel{da-49-l1q1-app-o28m47}\\Bfootnote{sentire O}} dicuntur motus: Primo modo non potest idem esse movens et motum per se, per accidens tamen nihil prohibet, sicut nauta \\edtext{movet navem per se}{\\lemma{movet navem per se}\\Bfootnote{per se \\emph{ante} movet navem \\emph{scr.} B}}, \\edtext{qua mota movet seipsum}{\\lemma{qua mota movet seipsum}\\Bfootnote{et motu navi movetur B}}\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-3bz2f8}\\Bfootnote[nosep]{per accidens \\emph{post} movetur B}}. Secundo modo nihil prohibet idem \\edtext{movere se ipsum}{\\lemma{movere se ipsum}\\applabel{da-49-l1q1-app-633yrw}\\Bfootnote{esse movens et motum respectu sui ipsius B}}. Sed tamen differentia est: aliqua \\edtext{enim}{\\lemma{enim}\\Bfootnote{\\emph{om.} B}} est substantia semper actu intelligens, et talis \\edtext{substantia}{\\lemma{substantia}\\Bfootnote{\\emph{om.} O}} potest intelligere se per se, \\edtext{sicut est de prima causa et intelligentiis}{\\lemma{sicut \\dots{} intelligentiis}\\applabel{da-49-l1q1-app-05821q}\\Bfootnote{sed est de prima causa et intelligentiis O; \\emph{om.} B}}; sed aliqua est\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-bnz3xq}\\Bfootnote[nosep]{substantia \\emph{post} est B}} non semper actu intelligens, \\edtext{sicut est anima humana}{\\lemma{sicut est anima humana}\\applabel{da-49-l1q1-app-as4rnu}\\Bfootnote{\\emph{om.} B}}, et talis\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-1w0l0f}\\Bfootnote[nosep]{substantia \\emph{post} talis B}} \\edtext{non intelligit}{\\lemma{non intelligit}\\Bfootnote{non potest intelligere B}} se per se, quia nihil intelligitur nisi secundum quod actu est, et talis substantia, cum sit in potentia intelligens \\edtext{non est in actu nisi per alterum, ut per speciem intelligibilem, ideo}{\\lemma{non \\dots{} ideo}\\applabel{da-49-l1q1-app-bc6142}\\Bfootnote{non est in actu nisi per alterum, ut per speciem intelligibilem, ideo O; per speciem alterius B}} per alterum potest se intelligere. Per hoc enim quod anima intelligit obiectum per speciem potest intelligere suum actum, et per actum potest reflectere \\edtext{se}{\\lemma{se}\\Bfootnote{\\emph{om.} B}} supra suam essentiam; \\edtext{unde anima nostra quodammodo intelligit se sicut nauta movet navem}{\\lemma{unde \\dots{} navem}\\applabel{da-49-l1q1-app-99tkjl}\\Bfootnote{unde anima nostra quodammodo intelligit se sicut nauta movet navem O; \\emph{om.} B}}.\n\\edlabelE{da-49-l1q1-i9rohp}\n\\pend\n\n\\pstart\n\\edlabelS{da-49-l1q1-52psh5}%\n\\no{Ad 1.3}\nAd \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{tertium B}} dicendum quod licet oculus nycticoracis non possit apprehendere directe lumen solis, \\edtext{potest tamen indirecte aliquam claritatem apprehendere}{\\lemma{potest \\dots{} apprehendere}\\Bfootnote{potest tamen indirecte aliquam claritatem apprehendere O; aliquem tamen effectum eius potest apprehendere B}}, et si visus \\edtext{eius}{\\lemma{eius}\\Bfootnote{\\emph{om.} B}} esset discursivus, \\edtext{posset}{\\lemma{posset}\\applabel{da-49-l1q1-app-ss4j7m}\\Bfootnote{possit B}} \\edtext{cognoscere}{\\lemma{cognoscere}\\Bfootnote{intelligere B}} lumen solis. Nunc \\edtext{autem, etsi}{\\lemma{autem, etsi}\\Bfootnote{\\emph{om.} B}} intellectus noster\\edtext{}{\\lemma{}\\Bfootnote[nosep]{etsi \\emph{post} noster \\emph{del.} O}} non \\edtext{potest}{\\lemma{potest}\\applabel{da-49-l1q1-app-d8u1cl}\\Bfootnote{posset O; possit B}}\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-wajnh7}\\Bfootnote[nosep]{directe \\emph{post} potest B}} in cognitionem \\edtext{perfectam}{\\lemma{perfectam}\\Bfootnote{\\emph{om.} B}} substantiarum separatarum, tamen \\edtext{aliqui effectus earum apparent nobis, \\edtext{per quos manuducimur in earum notitiam}{\\lemma{per \\dots{} notitiam}\\Bfootnote{\\emph{in marg.} O}}}{\\lemma{aliqui \\dots{} notitiam}\\applabel{da-49-l1q1-app-zq4kdv}\\Bfootnote{aliqui effectus earum apparent nobis per quos manuducimur in earum notitiam (per\nquos manuducimur in earum notitiam \\emph{in marg.}) O; potest in effectus earum B}}, et quia intellectus noster est discursivus, ideo \\edtext{potest}{\\lemma{potest}\\Bfootnote{per effectus possumus B}} in \\edtext{aliqualem}{\\lemma{aliqualem}\\applabel{da-49-l1q1-app-yq0rb5}\\Bfootnote{aliqualiter O}} cognitionem \\edtext{earum ut per effectus}{\\lemma{earum ut per effectus}\\Bfootnote{substantiarum separatarum B}}. Magis |\\ledsidenote{O 164va} tamen cognoscimus de anima quam de \\edtext{substantiis}{\\lemma{substantiis}\\applabel{da-49-l1q1-app-26i4eh}\\Bfootnote{aliis O}} separatis, quia effectus \\edtext{ipsius}{\\lemma{ipsius}\\Bfootnote{\\emph{om.} B}} animae \\edtext{nobis apparentes}{\\lemma{nobis apparentes}\\applabel{da-49-l1q1-app-li4ovm}\\Bfootnote{\\emph{om.} B}} magis adaequant virtutem eius quam effectus\\edtext{}{\\lemma{}\\Bfootnote[nosep]{quae \\emph{post} effectus O}} substantiarum separatarum \\edtext{nobis apparentes}{\\lemma{nobis apparentes}\\Bfootnote{\\emph{om.} B}} \\edtext{adaequant virtutem earum}{\\lemma{adaequant virtutem earum}\\applabel{da-49-l1q1-app-bene1c}\\Bfootnote{\\emph{om.} O}}.\n\\edlabelE{da-49-l1q1-52psh5}\n\\pend\n\n\\pstart\n\\edlabelS{da-49-l1q1-h6ks8n}%\n\\no{Ad 1.4}\nAd aliud dicendum quod \\edtext{intelligere nostrum}{\\lemma{intelligere nostrum}\\Bfootnote{\\emph{inv.} B}} non est sine\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-mvv35w}\\Bfootnote[nosep]{phantasmate B}} continuo et tempore, quia non est sine phantasmate. Non tamen oportet\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-l0y465}\\Bfootnote[nosep]{quod \\emph{post} oportet B}} omne \\edtext{intelligere esse}{\\lemma{intelligere esse}\\applabel{da-49-l1q1-app-mmea7s}\\Bfootnote{quod a nobis est quocumque modo intelligibile sit B}} continuum et \\edtext{temporale}{\\lemma{temporale}\\applabel{da-49-l1q1-app-a7va9c}\\Bfootnote{temporalis B}}.\n\\edlabelE{da-49-l1q1-h6ks8n}\n\\pend\n\n',
            'after': '\n\\endnumbering\n\\end{latin}\n\\end{document}\n'
        }
        assert chunk_doc(self.document) == chunked_dict

    def test_get_numbered_paragraphs(self):
        assert chunk_doc(self.document)['inside'] == self.numbered

    def test_chunk_pstart_paragraph(self):
        paragraph_list = [
            '\\pstart[\\subsection*{\\metatext{Quaestio 1: Utrum de anima possit nobis acquiri scientia}}]\n\\edlabelS{da-49-l1q1-274hkz}%\n\\ledsidenote{B 148va}\\ledsidenote{O 164rb}%\n\\edtext{Item}{\\lemma{Item}\\Bfootnote{\\emph{om.} B}} quaeratur\\edtext{}{\\lemma{}\\Bfootnote[nosep]{nunc \\emph{post} quaeratur B}} primo utrum de anima possit nobis acquiri scientia.\n\\edlabelE{da-49-l1q1-274hkz}\n\\pend\n\n\\medbreak\n\n',
            '\\pstart[\\medbreak{}]\n\\edlabelS{da-49-l1q1-j01jdw}%\n\\no{1}\nVidetur quod non.\n\\edlabelE{da-49-l1q1-j01jdw}\n\\pend\n\n',
            '\\pstart\n\\edlabelS{da-49-l1q1-ysmgk1}%\n\\no{1.1}\nIllud de quo est scientia est intelligibile, quia cum scientia sit habitus intellectus, de quo est scientia oportet esse intelligibile; sed anima non est intelligibile, quia omnis nostra cognitio ortum habet a sensu, \\edtext{unde ipsum intelligere non est}{\\lemma{unde \\dots{} est}\\applabel{da-49-l1q1-app-pa6tn6}\\Bfootnote{quia nihil intelligimus B}} sine phantasmate, sed anima sub sensu non cadit, nec phantasma facit; ergo et cetera.\n\\edlabelE{da-49-l1q1-ysmgk1}\n\\pend\n\n',
            '\\pstart\n\\edlabelS{da-49-l1q1-mjzkyp}%\n\\no{1.2}\nPraeterea, unum et idem non potest esse simul movens et motum, quia\\edtext{}{\\lemma{}\\Bfootnote[nosep]{si \\emph{post} quia B}} sic \\edtext{idem esset}{\\lemma{idem esset}\\Bfootnote{\\emph{inv.} B}} actu et potentia respectu eiusdem; sed cognitum est movens respectu cognocentis; ergo unum et idem non potest esse \\edtext{cognoscens}{\\lemma{cognoscens}\\applabel{da-49-l1q1-app-18nkzl}\\Bfootnote{movens B}} et \\edtext{cognitum}{\\lemma{cognitum}\\applabel{da-49-l1q1-app-87ko58}\\Bfootnote{motum B}},\\edtext{}{\\lemma{}\\Bfootnote[nosep]{sed \\emph{post} motum B}} hoc tamen contingeret si de anima \\edtext{esset scientia}{\\lemma{esset scientia}\\applabel{da-49-l1q1-app-hptxkl}\\Bfootnote{cognitionem haberemus B}}.\n\\edlabelE{da-49-l1q1-mjzkyp}\n\\pend\n\n',
            '\\pstart\n\\edlabelS{da-49-l1q1-mjgjs9}%\n\\no{1.3}\nPraeterea, \\edtext{sicut oculus \\edtext{nycticoracis}{\\lemma{nycticoracis}\\applabel{da-49-l1q1-app-6ef4va}\\Bfootnote{vespertilionis O}} \\edtext{\\suppliedInVacuo{se habet}}{\\lemma{se habet}\\applabel{da-49-l1q1-app-qzz9yj}\\Bfootnote{\\emph{spat. vac. 8 litt.} B; \\emph{om.} O}} ad lumen solis, sic intellectus noster ad ea quae sunt manifestissima in natura}{\\lemma{}\\Afootnote[nosep]{Cf. Arist. \\worktitle{Metaph.}\\index[works]{Metaphysics} II.1 993b9--11 (νυκτερίς).}}, de quorum numero est anima, \\edtext{saltim}{\\lemma{saltim}\\Bfootnote{\\emph{om.} B}} humana; sed oculus nycticoracis non potest apprehendere lumen solis; ergo et cetera.\n\\edlabelE{da-49-l1q1-mjgjs9}\n\\pend\n\n',
            '\\pstart\n\\edlabelS{da-49-l1q1-xdpfxs}%\n\\no{1.4}\nPraeterea, nostrum intelligere est cum continuo et tempore; sed anima, cum sit indivisibilis et perpetua, nec est continua nec temporalis; ergo et cetera.\n\\edlabelE{da-49-l1q1-xdpfxs}\n\\pend\n\n\\medbreak\n\n',
            '\\pstart[\\medbreak{}]\n\\edlabelS{da-49-l1q1-o9whrl}%\n\\no{2}\nOppositum patet per determinationem Philosophi\\index[persons]{Aristotle}.\n\\edlabelE{da-49-l1q1-o9whrl}\n\\pend\n\n\\medbreak\n\n',
            '\\pstart[\\medbreak{}]\n\\edlabelS{da-49-l1q1-ywem12}%\n\\no{3.1}\nDicendum quod cum scientia sit habitus acquisitus per demonstrationem, et ad demonstrationem tria requirantur ( \\edtext{scilicet}{\\lemma{scilicet}\\Bfootnote{\\emph{om.} B}} subiectum, passio, et principium per quod ostenditur passio de subiecto), ubi est invenire ista tria, ibi \\edtext{contingit ponere scientiam}{\\lemma{contingit ponere scientiam}\\applabel{da-49-l1q1-app-eje7pm}\\Bfootnote{est scientiam ponere B}}. Nunc autem anima quoddam subiectum est cuius sunt \\edtext{multae}{\\lemma{multae}\\Bfootnote{\\emph{om.} B}} proprietates et passiones, ut patebit inferius. Sunt etiam principia per quae istae passiones probari possunt de anima. Si enim accipiatur quod quid est animae pro medio, \\edtext{per ipsum}{\\lemma{per ipsum}\\applabel{da-49-l1q1-app-k2lfc9}\\Bfootnote{\\emph{om.} B}} concludi potest propria passio eius de anima, et ita de anima potest \\edtext{aliquid sciri sive}{\\lemma{aliquid sciri sive}\\Bfootnote{\\emph{om.} B}} esse aliqualis scientia.\n\\edlabelE{da-49-l1q1-ywem12}\n\\pend\n\n',
            '\\pstart\n\\edlabelS{da-49-l1q1-t57fj3}%\n\\no{3.2}\nPraeterea, accidentia non sunt per se entia, sed in alio. Qui ergo cognoscit accidentia, manuduci potest in cognitionem eius cuius sunt. Nunc autem multa accidentia ipsius animae nobis sunt manifesta: Operationes \\edtext{enim}{\\lemma{enim}\\Bfootnote{\\emph{om.} B}} artificiales nobis notae sunt, quae \\edtext{tamen}{\\lemma{tamen}\\Bfootnote{\\emph{om.} B}} non fiunt absque intelligere, et intelligere procedit ab aliqua potentia, et potentia \\edtext{fluit}{\\lemma{fluit}\\applabel{da-49-l1q1-app-mqmbne}\\Bfootnote{\\emph{om.} B}} ab essentia; \\edtext{et sic est de aliis}{\\lemma{et \\dots{} aliis}\\Bfootnote{eodem modo est de B}} operationibus quae procedunt ab irascibili. Unde per multa \\edtext{quae nobis nota sunt}{\\lemma{quae nobis nota sunt}\\applabel{da-49-l1q1-app-b1mson}\\Bfootnote{nobis B}} devenire \\edtext{possumus}{\\lemma{possumus}\\Bfootnote{possunt B}} in cognitionem animae. Quia tamen scire est \\edtext{per causam}{\\lemma{per causam}\\Bfootnote{causam rei B}} cognoscere , et talis \\edtext{cognitio de anima}{\\lemma{cognitio de anima}\\applabel{da-49-l1q1-app-gfllzy}\\Bfootnote{\\emph{om.} B}} procedit per effectus \\edtext{et}{\\lemma{et}\\Bfootnote{\\emph{om.} B}} non per causam, ideo Philosophus\\index[persons]{Aristotle} talem cognitionem tradens de anima \\edtext{istam cognitionem nominat}{\\lemma{istam cognitionem nominat}\\Bfootnote{ipsam vocat B}} \\edtext{\\enquote{historiam}}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{DA}\\index[works]{De anima} I.1 402a4.}}. Extensive tamen dici potest scientia.\n\\edlabelE{da-49-l1q1-t57fj3}\n\\pend\n\n\\medbreak\n\n',
            '\\pstart[\\medbreak{}]\n\\edlabelS{da-49-l1q1-1mle08}%\n\\no{Ad 1.1}\nAd primum argumentum dicendum \\edtext{quod minor est falsa}{\\lemma{quod minor est falsa}\\Bfootnote{per interemptionem minoris B}}. \\edtext{Et}{\\lemma{Et}\\Bfootnote{\\emph{om.} B}} ad probationem dicendum quod \\edtext{aliquid}{\\lemma{aliquid}\\applabel{da-49-l1q1-app-yl5yi8}\\Bfootnote{aliquod B}} cadit |\\ledsidenote{B 148vb} in sensu dupliciter: aut per positionem aut \\edtext{per}{\\lemma{per}\\Bfootnote{\\emph{om.} O}} privationem. Per privationem sicut tenebra et indivisibilia, ut punctum et unitas. Per positionem contingit dupliciter, aut per speciem sui, aut per speciem alterius; per speciem sui \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{ut B}} color videtur, \\edtext{per speciem alterius \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{ut B}} \\edtext{videtur}{\\lemma{videtur}\\applabel{da-49-l1q1-app-tjx5f0}\\Bfootnote{\\emph{om.} B}} Diari\\index[persons]{Diares} filius}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{DA}\\index[works]{De anima} II.6 418a20--22.}}. Unde, licet anima non cadat sub sensu per \\edtext{se}{\\lemma{se}\\applabel{da-49-l1q1-app-o6vevk}\\Bfootnote{rei B}}, \\edtext{cadit}{\\lemma{cadit}\\applabel{da-49-l1q1-app-r2io0f}\\Bfootnote{cadat B O}} tamen sub sensu per alterum, ut per sui effectus, \\edtext{et}{\\lemma{et}\\Bfootnote{\\emph{om.} B}} eodem modo, licet per se phantasma non faciat, \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{aliquid O B}} tamen phantasma facit, quod in eius cognitionem ducere potest.\n\\edlabelE{da-49-l1q1-1mle08}\n\\pend\n\n',
            '\\pstart\n\\edlabelS{da-49-l1q1-i9rohp}%\n\\no{Ad 1.2}\nAd \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{secundum B}} dicendum quod dupliciter dicitur motus: uno modo est actus imperfecti, \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{et sic O}} definitur \\edtext{a Philosopho\\index[persons]{Aristotle} in}{\\lemma{a Philosopho in}\\Bfootnote{\\emph{om.} B}} \\edtext{tertio \\worktitle{Physicorum}\\index[works]{Physics};}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{Phys.}\\index[works]{Physics} III.2 201b31--33.}} alio modo est actus perfecti, \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{sic O}} intelligere et \\edtext{cognoscere}{\\lemma{cognoscere}\\applabel{da-49-l1q1-app-o28m47}\\Bfootnote{sentire O}} dicuntur motus: Primo modo non potest idem esse movens et motum per se, per accidens tamen nihil prohibet, sicut nauta \\edtext{movet navem per se}{\\lemma{movet navem per se}\\Bfootnote{per se \\emph{ante} movet navem \\emph{scr.} B}}, \\edtext{qua mota movet seipsum}{\\lemma{qua mota movet seipsum}\\Bfootnote{et motu navi movetur B}}\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-3bz2f8}\\Bfootnote[nosep]{per accidens \\emph{post} movetur B}}. Secundo modo nihil prohibet idem \\edtext{movere se ipsum}{\\lemma{movere se ipsum}\\applabel{da-49-l1q1-app-633yrw}\\Bfootnote{esse movens et motum respectu sui ipsius B}}. Sed tamen differentia est: aliqua \\edtext{enim}{\\lemma{enim}\\Bfootnote{\\emph{om.} B}} est substantia semper actu intelligens, et talis \\edtext{substantia}{\\lemma{substantia}\\Bfootnote{\\emph{om.} O}} potest intelligere se per se, \\edtext{sicut est de prima causa et intelligentiis}{\\lemma{sicut \\dots{} intelligentiis}\\applabel{da-49-l1q1-app-05821q}\\Bfootnote{sed est de prima causa et intelligentiis O; \\emph{om.} B}}; sed aliqua est\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-bnz3xq}\\Bfootnote[nosep]{substantia \\emph{post} est B}} non semper actu intelligens, \\edtext{sicut est anima humana}{\\lemma{sicut est anima humana}\\applabel{da-49-l1q1-app-as4rnu}\\Bfootnote{\\emph{om.} B}}, et talis\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-1w0l0f}\\Bfootnote[nosep]{substantia \\emph{post} talis B}} \\edtext{non intelligit}{\\lemma{non intelligit}\\Bfootnote{non potest intelligere B}} se per se, quia nihil intelligitur nisi secundum quod actu est, et talis substantia, cum sit in potentia intelligens \\edtext{non est in actu nisi per alterum, ut per speciem intelligibilem, ideo}{\\lemma{non \\dots{} ideo}\\applabel{da-49-l1q1-app-bc6142}\\Bfootnote{non est in actu nisi per alterum, ut per speciem intelligibilem, ideo O; per speciem alterius B}} per alterum potest se intelligere. Per hoc enim quod anima intelligit obiectum per speciem potest intelligere suum actum, et per actum potest reflectere \\edtext{se}{\\lemma{se}\\Bfootnote{\\emph{om.} B}} supra suam essentiam; \\edtext{unde anima nostra quodammodo intelligit se sicut nauta movet navem}{\\lemma{unde \\dots{} navem}\\applabel{da-49-l1q1-app-99tkjl}\\Bfootnote{unde anima nostra quodammodo intelligit se sicut nauta movet navem O; \\emph{om.} B}}.\n\\edlabelE{da-49-l1q1-i9rohp}\n\\pend\n\n',
            '\\pstart\n\\edlabelS{da-49-l1q1-52psh5}%\n\\no{Ad 1.3}\nAd \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{tertium B}} dicendum quod licet oculus nycticoracis non possit apprehendere directe lumen solis, \\edtext{potest tamen indirecte aliquam claritatem apprehendere}{\\lemma{potest \\dots{} apprehendere}\\Bfootnote{potest tamen indirecte aliquam claritatem apprehendere O; aliquem tamen effectum eius potest apprehendere B}}, et si visus \\edtext{eius}{\\lemma{eius}\\Bfootnote{\\emph{om.} B}} esset discursivus, \\edtext{posset}{\\lemma{posset}\\applabel{da-49-l1q1-app-ss4j7m}\\Bfootnote{possit B}} \\edtext{cognoscere}{\\lemma{cognoscere}\\Bfootnote{intelligere B}} lumen solis. Nunc \\edtext{autem, etsi}{\\lemma{autem, etsi}\\Bfootnote{\\emph{om.} B}} intellectus noster\\edtext{}{\\lemma{}\\Bfootnote[nosep]{etsi \\emph{post} noster \\emph{del.} O}} non \\edtext{potest}{\\lemma{potest}\\applabel{da-49-l1q1-app-d8u1cl}\\Bfootnote{posset O; possit B}}\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-wajnh7}\\Bfootnote[nosep]{directe \\emph{post} potest B}} in cognitionem \\edtext{perfectam}{\\lemma{perfectam}\\Bfootnote{\\emph{om.} B}} substantiarum separatarum, tamen \\edtext{aliqui effectus earum apparent nobis, \\edtext{per quos manuducimur in earum notitiam}{\\lemma{per \\dots{} notitiam}\\Bfootnote{\\emph{in marg.} O}}}{\\lemma{aliqui \\dots{} notitiam}\\applabel{da-49-l1q1-app-zq4kdv}\\Bfootnote{aliqui effectus earum apparent nobis per quos manuducimur in earum notitiam (per\nquos manuducimur in earum notitiam \\emph{in marg.}) O; potest in effectus earum B}}, et quia intellectus noster est discursivus, ideo \\edtext{potest}{\\lemma{potest}\\Bfootnote{per effectus possumus B}} in \\edtext{aliqualem}{\\lemma{aliqualem}\\applabel{da-49-l1q1-app-yq0rb5}\\Bfootnote{aliqualiter O}} cognitionem \\edtext{earum ut per effectus}{\\lemma{earum ut per effectus}\\Bfootnote{substantiarum separatarum B}}. Magis |\\ledsidenote{O 164va} tamen cognoscimus de anima quam de \\edtext{substantiis}{\\lemma{substantiis}\\applabel{da-49-l1q1-app-26i4eh}\\Bfootnote{aliis O}} separatis, quia effectus \\edtext{ipsius}{\\lemma{ipsius}\\Bfootnote{\\emph{om.} B}} animae \\edtext{nobis apparentes}{\\lemma{nobis apparentes}\\applabel{da-49-l1q1-app-li4ovm}\\Bfootnote{\\emph{om.} B}} magis adaequant virtutem eius quam effectus\\edtext{}{\\lemma{}\\Bfootnote[nosep]{quae \\emph{post} effectus O}} substantiarum separatarum \\edtext{nobis apparentes}{\\lemma{nobis apparentes}\\Bfootnote{\\emph{om.} B}} \\edtext{adaequant virtutem earum}{\\lemma{adaequant virtutem earum}\\applabel{da-49-l1q1-app-bene1c}\\Bfootnote{\\emph{om.} O}}.\n\\edlabelE{da-49-l1q1-52psh5}\n\\pend\n\n',
            '\\pstart\n\\edlabelS{da-49-l1q1-h6ks8n}%\n\\no{Ad 1.4}\nAd aliud dicendum quod \\edtext{intelligere nostrum}{\\lemma{intelligere nostrum}\\Bfootnote{\\emph{inv.} B}} non est sine\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-mvv35w}\\Bfootnote[nosep]{phantasmate B}} continuo et tempore, quia non est sine phantasmate. Non tamen oportet\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-l0y465}\\Bfootnote[nosep]{quod \\emph{post} oportet B}} omne \\edtext{intelligere esse}{\\lemma{intelligere esse}\\applabel{da-49-l1q1-app-mmea7s}\\Bfootnote{quod a nobis est quocumque modo intelligibile sit B}} continuum et \\edtext{temporale}{\\lemma{temporale}\\applabel{da-49-l1q1-app-a7va9c}\\Bfootnote{temporalis B}}.\n\\edlabelE{da-49-l1q1-h6ks8n}\n\\pend\n\n'
        ]
        assert chunk_pars(self.numbered) == paragraph_list

    def test_chunk_autopar_paragraph(self):
        paragraph_list = [
            '\n\n\\edlabelS{da-49-l1q1-274hkz}%\n\\ledsidenote{B 148va}\\ledsidenote{O 164rb}%\n\\edtext{Item}{\\lemma{Item}\\Bfootnote{\\emph{om.} B}} quaeratur\\edtext{}{\\lemma{}\\Bfootnote[nosep]{nunc \\emph{post} quaeratur B}} primo utrum de anima possit nobis acquiri scientia.\n\\edlabelE{da-49-l1q1-274hkz}',
            '\n\n\\medbreak',
            '\n\n\\edlabelS{da-49-l1q1-j01jdw}%\n\\no{1}\nVidetur quod non.\n\\edlabelE{da-49-l1q1-j01jdw}',
            '\n\n\\edlabelS{da-49-l1q1-ysmgk1}%\n\\no{1.1}\nIllud de quo est scientia est intelligibile, quia cum scientia sit habitus intellectus, de quo est scientia oportet esse intelligibile; sed anima non est intelligibile, quia omnis nostra cognitio ortum habet a sensu, \\edtext{unde ipsum intelligere non est}{\\lemma{unde \\dots{} est}\\applabel{da-49-l1q1-app-pa6tn6}\\Bfootnote{quia nihil intelligimus B}} sine phantasmate, sed anima sub sensu non cadit, nec phantasma facit; ergo et cetera.\n\\edlabelE{da-49-l1q1-ysmgk1}',
            '\n\n\\edlabelS{da-49-l1q1-mjzkyp}%\n\\no{1.2}\nPraeterea, unum et idem non potest esse simul movens et motum, quia\\edtext{}{\\lemma{}\\Bfootnote[nosep]{si \\emph{post} quia B}} sic \\edtext{idem esset}{\\lemma{idem esset}\\Bfootnote{\\emph{inv.} B}} actu et potentia respectu eiusdem; sed cognitum est movens respectu cognocentis; ergo unum et idem non potest esse \\edtext{cognoscens}{\\lemma{cognoscens}\\applabel{da-49-l1q1-app-18nkzl}\\Bfootnote{movens B}} et \\edtext{cognitum}{\\lemma{cognitum}\\applabel{da-49-l1q1-app-87ko58}\\Bfootnote{motum B}},\\edtext{}{\\lemma{}\\Bfootnote[nosep]{sed \\emph{post} motum B}} hoc tamen contingeret si de anima \\edtext{esset scientia}{\\lemma{esset scientia}\\applabel{da-49-l1q1-app-hptxkl}\\Bfootnote{cognitionem haberemus B}}.\n\\edlabelE{da-49-l1q1-mjzkyp}',
            '\n\n\\edlabelS{da-49-l1q1-mjgjs9}%\n\\no{1.3}\nPraeterea, \\edtext{sicut oculus \\edtext{nycticoracis}{\\lemma{nycticoracis}\\applabel{da-49-l1q1-app-6ef4va}\\Bfootnote{vespertilionis O}} \\edtext{\\suppliedInVacuo{se habet}}{\\lemma{se habet}\\applabel{da-49-l1q1-app-qzz9yj}\\Bfootnote{\\emph{spat. vac. 8 litt.} B; \\emph{om.} O}} ad lumen solis, sic intellectus noster ad ea quae sunt manifestissima in natura}{\\lemma{}\\Afootnote[nosep]{Cf. Arist. \\worktitle{Metaph.}\\index[works]{Metaphysics} II.1 993b9--11 (νυκτερίς).}}, de quorum numero est anima, \\edtext{saltim}{\\lemma{saltim}\\Bfootnote{\\emph{om.} B}} humana; sed oculus nycticoracis non potest apprehendere lumen solis; ergo et cetera.\n\\edlabelE{da-49-l1q1-mjgjs9}',
            '\n\n\\edlabelS{da-49-l1q1-xdpfxs}%\n\\no{1.4}\nPraeterea, nostrum intelligere est cum continuo et tempore; sed anima, cum sit indivisibilis et perpetua, nec est continua nec temporalis; ergo et cetera.\n\\edlabelE{da-49-l1q1-xdpfxs}',
            '\n\n\\medbreak',
            '\n\n\\edlabelS{da-49-l1q1-o9whrl}%\n\\no{2}\nOppositum patet per determinationem Philosophi\\index[persons]{Aristotle}.\n\\edlabelE{da-49-l1q1-o9whrl}',
            '\n\n\\medbreak',
            '\n\n\\edlabelS{da-49-l1q1-ywem12}%\n\\no{3.1}\nDicendum quod cum scientia sit habitus acquisitus per demonstrationem, et ad demonstrationem tria requirantur ( \\edtext{scilicet}{\\lemma{scilicet}\\Bfootnote{\\emph{om.} B}} subiectum, passio, et principium per quod ostenditur passio de subiecto), ubi est invenire ista tria, ibi \\edtext{contingit ponere scientiam}{\\lemma{contingit ponere scientiam}\\applabel{da-49-l1q1-app-eje7pm}\\Bfootnote{est scientiam ponere B}}. Nunc autem anima quoddam subiectum est cuius sunt \\edtext{multae}{\\lemma{multae}\\Bfootnote{\\emph{om.} B}} proprietates et passiones, ut patebit inferius. Sunt etiam principia per quae istae passiones probari possunt de anima. Si enim accipiatur quod quid est animae pro medio, \\edtext{per ipsum}{\\lemma{per ipsum}\\applabel{da-49-l1q1-app-k2lfc9}\\Bfootnote{\\emph{om.} B}} concludi potest propria passio eius de anima, et ita de anima potest \\edtext{aliquid sciri sive}{\\lemma{aliquid sciri sive}\\Bfootnote{\\emph{om.} B}} esse aliqualis scientia.\n\\edlabelE{da-49-l1q1-ywem12}',
            '\n\n\\edlabelS{da-49-l1q1-t57fj3}%\n\\no{3.2}\nPraeterea, accidentia non sunt per se entia, sed in alio. Qui ergo cognoscit accidentia, manuduci potest in cognitionem eius cuius sunt. Nunc autem multa accidentia ipsius animae nobis sunt manifesta: Operationes \\edtext{enim}{\\lemma{enim}\\Bfootnote{\\emph{om.} B}} artificiales nobis notae sunt, quae \\edtext{tamen}{\\lemma{tamen}\\Bfootnote{\\emph{om.} B}} non fiunt absque intelligere, et intelligere procedit ab aliqua potentia, et potentia \\edtext{fluit}{\\lemma{fluit}\\applabel{da-49-l1q1-app-mqmbne}\\Bfootnote{\\emph{om.} B}} ab essentia; \\edtext{et sic est de aliis}{\\lemma{et \\dots{} aliis}\\Bfootnote{eodem modo est de B}} operationibus quae procedunt ab irascibili. Unde per multa \\edtext{quae nobis nota sunt}{\\lemma{quae nobis nota sunt}\\applabel{da-49-l1q1-app-b1mson}\\Bfootnote{nobis B}} devenire \\edtext{possumus}{\\lemma{possumus}\\Bfootnote{possunt B}} in cognitionem animae. Quia tamen scire est \\edtext{per causam}{\\lemma{per causam}\\Bfootnote{causam rei B}} cognoscere , et talis \\edtext{cognitio de anima}{\\lemma{cognitio de anima}\\applabel{da-49-l1q1-app-gfllzy}\\Bfootnote{\\emph{om.} B}} procedit per effectus \\edtext{et}{\\lemma{et}\\Bfootnote{\\emph{om.} B}} non per causam, ideo Philosophus\\index[persons]{Aristotle} talem cognitionem tradens de anima \\edtext{istam cognitionem nominat}{\\lemma{istam cognitionem nominat}\\Bfootnote{ipsam vocat B}} \\edtext{\\enquote{historiam}}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{DA}\\index[works]{De anima} I.1 402a4.}}. Extensive tamen dici potest scientia.\n\\edlabelE{da-49-l1q1-t57fj3}',
            '\n\n\\medbreak',
            '\n\n\\edlabelS{da-49-l1q1-1mle08}%\n\\no{Ad 1.1}\nAd primum argumentum dicendum \\edtext{quod minor est falsa}{\\lemma{quod minor est falsa}\\Bfootnote{per interemptionem minoris B}}. \\edtext{Et}{\\lemma{Et}\\Bfootnote{\\emph{om.} B}} ad probationem dicendum quod \\edtext{aliquid}{\\lemma{aliquid}\\applabel{da-49-l1q1-app-yl5yi8}\\Bfootnote{aliquod B}} cadit |\\ledsidenote{B 148vb} in sensu dupliciter: aut per positionem aut \\edtext{per}{\\lemma{per}\\Bfootnote{\\emph{om.} O}} privationem. Per privationem sicut tenebra et indivisibilia, ut punctum et unitas. Per positionem contingit dupliciter, aut per speciem sui, aut per speciem alterius; per speciem sui \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{ut B}} color videtur, \\edtext{per speciem alterius \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{ut B}} \\edtext{videtur}{\\lemma{videtur}\\applabel{da-49-l1q1-app-tjx5f0}\\Bfootnote{\\emph{om.} B}} Diari\\index[persons]{Diares} filius}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{DA}\\index[works]{De anima} II.6 418a20--22.}}. Unde, licet anima non cadat sub sensu per \\edtext{se}{\\lemma{se}\\applabel{da-49-l1q1-app-o6vevk}\\Bfootnote{rei B}}, \\edtext{cadit}{\\lemma{cadit}\\applabel{da-49-l1q1-app-r2io0f}\\Bfootnote{cadat B O}} tamen sub sensu per alterum, ut per sui effectus, \\edtext{et}{\\lemma{et}\\Bfootnote{\\emph{om.} B}} eodem modo, licet per se phantasma non faciat, \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{aliquid O B}} tamen phantasma facit, quod in eius cognitionem ducere potest.\n\\edlabelE{da-49-l1q1-1mle08}',
            '\n\n\\edlabelS{da-49-l1q1-i9rohp}%\n\\no{Ad 1.2}\nAd \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{secundum B}} dicendum quod dupliciter dicitur motus: uno modo est actus imperfecti, \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{et sic O}} definitur \\edtext{a Philosopho\\index[persons]{Aristotle} in}{\\lemma{a Philosopho in}\\Bfootnote{\\emph{om.} B}} \\edtext{tertio \\worktitle{Physicorum}\\index[works]{Physics};}{\\lemma{}\\Afootnote[nosep]{Arist. \\worktitle{Phys.}\\index[works]{Physics} III.2 201b31--33.}} alio modo est actus perfecti, \\edtext{sicut}{\\lemma{sicut}\\Bfootnote{sic O}} intelligere et \\edtext{cognoscere}{\\lemma{cognoscere}\\applabel{da-49-l1q1-app-o28m47}\\Bfootnote{sentire O}} dicuntur motus: Primo modo non potest idem esse movens et motum per se, per accidens tamen nihil prohibet, sicut nauta \\edtext{movet navem per se}{\\lemma{movet navem per se}\\Bfootnote{per se \\emph{ante} movet navem \\emph{scr.} B}}, \\edtext{qua mota movet seipsum}{\\lemma{qua mota movet seipsum}\\Bfootnote{et motu navi movetur B}}\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-3bz2f8}\\Bfootnote[nosep]{per accidens \\emph{post} movetur B}}. Secundo modo nihil prohibet idem \\edtext{movere se ipsum}{\\lemma{movere se ipsum}\\applabel{da-49-l1q1-app-633yrw}\\Bfootnote{esse movens et motum respectu sui ipsius B}}. Sed tamen differentia est: aliqua \\edtext{enim}{\\lemma{enim}\\Bfootnote{\\emph{om.} B}} est substantia semper actu intelligens, et talis \\edtext{substantia}{\\lemma{substantia}\\Bfootnote{\\emph{om.} O}} potest intelligere se per se, \\edtext{sicut est de prima causa et intelligentiis}{\\lemma{sicut \\dots{} intelligentiis}\\applabel{da-49-l1q1-app-05821q}\\Bfootnote{sed est de prima causa et intelligentiis O; \\emph{om.} B}}; sed aliqua est\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-bnz3xq}\\Bfootnote[nosep]{substantia \\emph{post} est B}} non semper actu intelligens, \\edtext{sicut est anima humana}{\\lemma{sicut est anima humana}\\applabel{da-49-l1q1-app-as4rnu}\\Bfootnote{\\emph{om.} B}}, et talis\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-1w0l0f}\\Bfootnote[nosep]{substantia \\emph{post} talis B}} \\edtext{non intelligit}{\\lemma{non intelligit}\\Bfootnote{non potest intelligere B}} se per se, quia nihil intelligitur nisi secundum quod actu est, et talis substantia, cum sit in potentia intelligens \\edtext{non est in actu nisi per alterum, ut per speciem intelligibilem, ideo}{\\lemma{non \\dots{} ideo}\\applabel{da-49-l1q1-app-bc6142}\\Bfootnote{non est in actu nisi per alterum, ut per speciem intelligibilem, ideo O; per speciem alterius B}} per alterum potest se intelligere. Per hoc enim quod anima intelligit obiectum per speciem potest intelligere suum actum, et per actum potest reflectere \\edtext{se}{\\lemma{se}\\Bfootnote{\\emph{om.} B}} supra suam essentiam; \\edtext{unde anima nostra quodammodo intelligit se sicut nauta movet navem}{\\lemma{unde \\dots{} navem}\\applabel{da-49-l1q1-app-99tkjl}\\Bfootnote{unde anima nostra quodammodo intelligit se sicut nauta movet navem O; \\emph{om.} B}}.\n\\edlabelE{da-49-l1q1-i9rohp}',
            '\n\n\\edlabelS{da-49-l1q1-52psh5}%\n\\no{Ad 1.3}\nAd \\edtext{aliud}{\\lemma{aliud}\\Bfootnote{tertium B}} dicendum quod licet oculus nycticoracis non possit apprehendere directe lumen solis, \\edtext{potest tamen indirecte aliquam claritatem apprehendere}{\\lemma{potest \\dots{} apprehendere}\\Bfootnote{potest tamen indirecte aliquam claritatem apprehendere O; aliquem tamen effectum eius potest apprehendere B}}, et si visus \\edtext{eius}{\\lemma{eius}\\Bfootnote{\\emph{om.} B}} esset discursivus, \\edtext{posset}{\\lemma{posset}\\applabel{da-49-l1q1-app-ss4j7m}\\Bfootnote{possit B}} \\edtext{cognoscere}{\\lemma{cognoscere}\\Bfootnote{intelligere B}} lumen solis. Nunc \\edtext{autem, etsi}{\\lemma{autem, etsi}\\Bfootnote{\\emph{om.} B}} intellectus noster\\edtext{}{\\lemma{}\\Bfootnote[nosep]{etsi \\emph{post} noster \\emph{del.} O}} non \\edtext{potest}{\\lemma{potest}\\applabel{da-49-l1q1-app-d8u1cl}\\Bfootnote{posset O; possit B}}\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-wajnh7}\\Bfootnote[nosep]{directe \\emph{post} potest B}} in cognitionem \\edtext{perfectam}{\\lemma{perfectam}\\Bfootnote{\\emph{om.} B}} substantiarum separatarum, tamen \\edtext{aliqui effectus earum apparent nobis, \\edtext{per quos manuducimur in earum notitiam}{\\lemma{per \\dots{} notitiam}\\Bfootnote{\\emph{in marg.} O}}}{\\lemma{aliqui \\dots{} notitiam}\\applabel{da-49-l1q1-app-zq4kdv}\\Bfootnote{aliqui effectus earum apparent nobis per quos manuducimur in earum notitiam (per\nquos manuducimur in earum notitiam \\emph{in marg.}) O; potest in effectus earum B}}, et quia intellectus noster est discursivus, ideo \\edtext{potest}{\\lemma{potest}\\Bfootnote{per effectus possumus B}} in \\edtext{aliqualem}{\\lemma{aliqualem}\\applabel{da-49-l1q1-app-yq0rb5}\\Bfootnote{aliqualiter O}} cognitionem \\edtext{earum ut per effectus}{\\lemma{earum ut per effectus}\\Bfootnote{substantiarum separatarum B}}. Magis |\\ledsidenote{O 164va} tamen cognoscimus de anima quam de \\edtext{substantiis}{\\lemma{substantiis}\\applabel{da-49-l1q1-app-26i4eh}\\Bfootnote{aliis O}} separatis, quia effectus \\edtext{ipsius}{\\lemma{ipsius}\\Bfootnote{\\emph{om.} B}} animae \\edtext{nobis apparentes}{\\lemma{nobis apparentes}\\applabel{da-49-l1q1-app-li4ovm}\\Bfootnote{\\emph{om.} B}} magis adaequant virtutem eius quam effectus\\edtext{}{\\lemma{}\\Bfootnote[nosep]{quae \\emph{post} effectus O}} substantiarum separatarum \\edtext{nobis apparentes}{\\lemma{nobis apparentes}\\Bfootnote{\\emph{om.} B}} \\edtext{adaequant virtutem earum}{\\lemma{adaequant virtutem earum}\\applabel{da-49-l1q1-app-bene1c}\\Bfootnote{\\emph{om.} O}}.\n\\edlabelE{da-49-l1q1-52psh5}',
            '\n\n\\edlabelS{da-49-l1q1-h6ks8n}%\n\\no{Ad 1.4}\nAd aliud dicendum quod \\edtext{intelligere nostrum}{\\lemma{intelligere nostrum}\\Bfootnote{\\emph{inv.} B}} non est sine\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-mvv35w}\\Bfootnote[nosep]{phantasmate B}} continuo et tempore, quia non est sine phantasmate. Non tamen oportet\\edtext{}{\\lemma{}\\applabel{da-49-l1q1-app-l0y465}\\Bfootnote[nosep]{quod \\emph{post} oportet B}} omne \\edtext{intelligere esse}{\\lemma{intelligere esse}\\applabel{da-49-l1q1-app-mmea7s}\\Bfootnote{quod a nobis est quocumque modo intelligibile sit B}} continuum et \\edtext{temporale}{\\lemma{temporale}\\applabel{da-49-l1q1-app-a7va9c}\\Bfootnote{temporalis B}}.\n\\edlabelE{da-49-l1q1-h6ks8n}',
            '\n\n'
        ]
        assert chunk_pars(self.numbered_autopar) == paragraph_list
